var _excluded = ["type", "value", "separator", "comboRef"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';

// 内库使用-start
import DateUtil from "./../../../utils/DateUtil";
import Input from "./../../Input";
// 内库使用-end

/* 测试使用-start
import { DateUtil, Input } from 'seedsui-react'
测试使用-end */

// Custom Input
var InputText = function InputText(_ref) {
  var type = _ref.type,
    value = _ref.value,
    separator = _ref.separator,
    comboRef = _ref.comboRef,
    props = _objectWithoutProperties(_ref, _excluded);
  // 开始和结束日期
  var startDate = Array.isArray(value) && value[0] instanceof Date ? value[0] : null;
  var endDate = Array.isArray(value) && value[1] instanceof Date ? value[1] : null;
  return /*#__PURE__*/React.createElement(Input.Node, _extends({
    className: "datepicker-rangecombo",
    value: value,
    node: function node() {
      return startDate || endDate ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
        className: "datepicker-rangecombo-date start"
      }, DateUtil.format(startDate, type)), /*#__PURE__*/React.createElement("div", {
        className: "datepicker-rangecombo-separator"
      }, separator || ' ~ '), /*#__PURE__*/React.createElement("div", {
        className: "datepicker-rangecombo-date end"
      }, DateUtil.format(endDate, type))) : null;
    }
  }, props, {
    ref: comboRef
  }));
};
export default InputText;